import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_selinux_setup(host):
    assert host.command.check_output("/usr/sbin/getenforce") == "Enforcing"
    assert host.package("python3-libselinux").is_installed
    assert host.package("policycoreutils-python-utils").is_installed
